I=0:2:12;            %测温度时间t 
U=[0 2 5 8.2 12 16 21];   %测得的温度T 
I1=9;                                    %待插值点t1 
U1=interp1(I,U,I1,'nearest')     %最近点插值方法的插值结果
U2=interp1(I,U,I1,'linear')        %线性插值方法的插值结果
U3=interp1(I,U,I1,'cubic')        %三次多项式插值
U4=interp1(I,U,I1,'spline')       %三次样条插值



